<?php
/**
 * @version		$Id: mod_ps_video_slider.php 2012-03-15 PS $
 * @package		PS VIDEO SLIDER
 * @subpackage	mod_ps_video_slider
 * @copyright	Copyright (C) 2012 PANCHSOFT. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 * @website		http://panchsoft.com
 * @twitter		http://twitter.com/panchsoft
 * @facebook	http://facebook.com/panchsoft
 */

// no direct access
defined('_JEXEC') or die;

class modPS_VIDEO_SliderHelper
{
	private function __construct(){
	}

	public function &validParams($params){
		
		
		$slide_videoStr = $params->get('slide_video');		
		$slide_video_filter = preg_replace('/\n$/','',preg_replace('/^\n/','',preg_replace('/[\r\n]+/',"\n",$slide_videoStr)));
		$slide_video = explode("\n",$slide_video_filter);
		$params->set('slide_video', $slide_video);
		
		
		$slide_imageStr = $params->get('slide_image');
		$slide_image_filter = preg_replace('/\n$/','',preg_replace('/^\n/','',preg_replace('/[\r\n]+/',"\n",$slide_imageStr)));	
		$slide_image = explode("\n",$slide_image_filter);		
		$params->set('slide_image', $slide_image);
		
		
		$slide_newsStr = $params->get('slide_news');
		$slide_news_filter = preg_replace('/\n$/','',preg_replace('/^\n/','',preg_replace('/[\r\n]+/',"\n",$slide_newsStr)));	
		$slide_news = explode("\n",$slide_news_filter);		
		$params->set('slide_news', $slide_news);

			
		return $params;
	}

	
}
